Subject: Re: bug#38163: GDK does not return the monitor's refresh rate

From: Alexandros Theodotou <[email-masked]>
Date: Mon, 11 Nov 2019 21:31:23 +0000

Hi Ludo,

> Looking at GTK+, the ‘init_randr*’ functions in ‘gdkscreen-x11.c’
> appear
> to be those responsible for setting the ‘refresh_rate’ field.
> 
> However, AFAICS, our ‘gtk+’ package does not depend on ‘libxrandr’,
> and
> thus that functionality is simply compiled out (the function returns
> 0
> unconditionally).
> 
> Could you try adding that dependency on ‘libxrandr’ in ‘gtk+’?

Just tried that and it worked! It's returning the correct refresh rate
now:
** Message: 21:20:40.548: refresh rate returned by GDK: 60.0

> We won’t make this change in ‘master’ because it entails too many
> rebuilds, but it could go on the next branch for massive rebuilds. 

Makes sense. I will be using my local gtk+ version for a while then
until this change goes live.

Thanks for taking a look at this.

Alex